com.google.cloud.dataflow.sdk.values

## Class PDone

- java.lang.Object
- - com.google.cloud.dataflow.sdk.values.POutputValueBase
  - - com.google.cloud.dataflow.sdk.values.PDone

All Implemented Interfaces:
  POutput

    public class PDone
    extends POutputValueBase

`PDone` is the output of a `PTransform` that has a trivial result, such as a `Write`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Collection<? extends PValue>` `expand()` Expands this `POutput` into a list of its component output `PValues`.
`static PDone` `in(Pipeline pipeline)` Creates a `PDone` in the given `Pipeline`.

### Methods inherited from class com.google.cloud.dataflow.sdk.values.POutputValueBase

`finishSpecifyingOutput, getPipeline, getProducingTransformInternal, recordAsOutput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### in

    public static PDone in(Pipeline pipeline)

Creates a `PDone` in the given `Pipeline`.

#### expand

    public Collection<? extends PValue> expand()

Description copied from interface: `POutput`
Expands this `POutput` into a list of its component output `PValues`.

- A `PValue` expands to itself.
- A tuple or list of `PValues` (such as `PCollectionTuple` or `PCollectionList`) expands to its component `PValue PValues`.

Not intended to be invoked directly by user code.